<?php
/**
 * @package     BreezingForms
 * @author      Markus Bopp
 * @link        http://www.crosstec.de
 * @license     GNU/GPL
*/
// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

$tabs->startTab('ConstantContact®','tab_constantcontact');
?>
<fieldset><legend>ConstantContact®</legend>
<table width="80%" cellpadding="4" cellspacing="1" border="0">

    <?php
    if($error != ''){
    ?>
    
    <tr>
        <td style="width: 200px;" valign="top"><?php echo BFText::_('COM_BREEZINGFORMS_CC_ERROR'); ?></td>
        <td valign="top" style="color:red;">
            <?php echo htmlentities($error, ENT_QUOTES, 'UTF-8'); ?>
        </td>
    </tr>
    
    <?php
    }
    ?>
    
    <?php
    if($cc->apikey != '' && $cc->access_token != '' ){
    ?>
    
    <tr>
        <td style="width: 200px;" valign="top"><?php echo BFText::_('COM_BREEZINGFORMS_CC_ENABLED'); ?></td>
        <td valign="top">
            <input type="checkbox" onclick="document.getElementById('reload_flag').value=1;" name="constantcontact_enabled"  value="1" size="50"  class="inputbox"<?php echo $cc->enabled == 1 ? ' checked="checked"' : ''; ?>/>

        </td>
    </tr>
    
    <tr>
        <td style="width: 200px;" valign="top"><?php echo BFText::_('COM_BREEZINGFORMS_CC_LISTS'); ?></td>
        <td valign="top">
            <select name="constantcontact_lists[]" multiple="multiple">
                <?php 
                foreach($lists As $list){
                ?>
                <option value="<?php echo $list->id; ?>"<?php echo in_array($list->id, $cc->options->lists) ? ' selected="selected"' : ''; ?>><?php echo htmlentities($list->name, ENT_QUOTES, 'UTF-8');?></option>
                <?php
                }
                ?>
            </select>
        </td>
    </tr>
    
    <tr>
        <td style="width: 200px;" valign="top"><?php echo BFText::_('COM_BREEZINGFORMS_CC_OPT_OUT_FIELD'); ?></td>
        <td valign="top">
            <select name="constantcontact_optout">
                <option value="0"> - <?php echo BFText::_('COM_BREEZINGFORMS_CC_UNUSED'); ?> - </option>
            <?php
            foreach($breezingforms_fields As $bfField){
            ?>
                    
                        <option value="<?php echo $bfField->id; ?>"<?php echo $bfField->id == $cc->options->optout ? ' selected="selected"': ''; ?>><?php echo htmlentities($bfField->title, ENT_QUOTES, 'UTF-8');?> (<?php echo $bfField->name?>)</option>
            <?php
            }
            ?>
            </select>
        </td>
    </tr>
    
    <tr>
        <td style="width: 200px;" valign="top"><?php echo BFText::_('COM_BREEZINGFORMS_CC_OPT_OUT_FIELDVALUE'); ?></td>
        <td valign="top">
            <input type="text" name="constantcontact_optout_fieldvalue" value="<?php echo htmlentities($cc->options->optout_fieldvalue, ENT_QUOTES, 'UTF-8');?>"/>
        </td>
    </tr>
    
    <tr>
        <td colspan="2" valign="top"><strong><?php echo JText::_('COM_BREEZINGFORMS_CC_FIELDS_TITLE'); ?></strong></td>
    </tr>
    
    <?php
    foreach($breezingforms_fields As $bfField){
    ?>
    <tr>
        <td valign="top"><?php echo $bfField->title; ?> (<?php echo $bfField->name?>)</td>
        <td valign="top">
            <select name="constanctcontact_fields[]">
                <option value=""> - <?php echo BFText::_('COM_BREEZINGFORMS_CC_UNUSED'); ?> - </option>
                <?php
                foreach($this->fields As $fieldname => $fieldvalue){
                ?>
                <option value="<?php echo $bfField->id.'::'.$fieldname; ?>"<?php echo in_array($bfField->id.'::'.$fieldname,$cc->options->fields) ? ' selected="selected"': ''; ?>><?php echo $fieldname;?></option>
                <?php
                }
                ?>
            </select>
        </td>
    </tr>
    
    <?php
    }
    ?>
    
    <tr>
        <td colspan="2" valign="top"><strong><?php echo JText::_('COM_BREEZINGFORMS_CC_CUSTOM_FIELDS'); ?></strong></td>
    </tr>
    
    <tr>
        <td valign="top"></td>
        <td valign="top">
            <select name="constantcontact_custom_fields[]" multiple="multiple">
            <?php
            foreach($breezingforms_fields As $bfField){
            ?>
                <option value="<?php echo $bfField->id; ?>"<?php echo in_array($bfField->id, $cc->options->custom_fields) ? ' selected="selected"': ''; ?>><?php echo htmlentities($bfField->title, ENT_QUOTES, 'UTF-8');?> (<?php echo $bfField->name?>)</option>
            <?php
            }
            ?>
            </select>
        </td>
    </tr>
    
    <tr>
        <td style="width: 200px;" valign="top"><?php echo BFText::_('COM_BREEZINGFORMS_CC_ERROR_EMAILS'); ?></td>
        <td valign="top">
            <textarea style="width: 250px;height:80px;" name="constantcontact_error_emails"><?php
                foreach($cc->options->error_emails As $error_email){
                    echo htmlentities(trim($error_email), ENT_QUOTES, 'UTF-8') . "\n";
                }
                ?></textarea>
        </td>
    </tr>
    
    <tr>
        <td style="width: 200px;" valign="top"><?php echo BFText::_('COM_BREEZINGFORMS_CC_RESET'); ?></td>
        <td valign="top">
            <input type="checkbox" onclick="document.getElementById('reload_flag').value=1;" name="constantcontact_reset"  value="1" size="50"  class="inputbox"/>
        </td>
    </tr>
    
    <?php 
    }else 
    if($cc->apikey == '' || $cc->access_token == ''){
    ?>
    
    <tr>
        <td valign="top"></td>
        <td valign="top"><?php echo JText::_('COM_BREEZINGFORMS_CC_SETUP_DESCRIPTION');?></td>
    </tr>
    
    <tr>
        <td valign="top"></td>
        <td valign="top"><a href="<?php echo $auth_url;?>" target="_blank"><?php echo JText::_('COM_BREEZINGFORMS_CC_LOGIN_TEXT');?></a></td>
    </tr>
    
    <tr>
        <td valign="top"><?php echo BFText::_('COM_BREEZINGFORMS_CC_APIKEY'); ?></td>
        <td valign="top"><input type="text" name="constantcontact_apikey"  value="<?php echo $cc->apikey; ?>" size="50"  class="inputbox"/></td>
    </tr>
    
    <tr>
        <td valign="top"><?php echo BFText::_('COM_BREEZINGFORMS_CC_ACCESS_TOKEN'); ?></td>
        <td valign="top"><input type="password" name="constantcontact_access_token"  value="<?php echo $cc->access_token; ?>" size="50"  class="inputbox"/></td>
    </tr>
    
    <?php
    }
    ?>
    
</table>
</fieldset>
<?php
$tabs->endTab();
?>

